/*

Count specific characters in a character string. Return
the number found.

INPUT
char *s  =pointer to a character string
char ch1 =specific char to be counted in s

RETURN
number of ch1 chars found in s

*/

int CntChr(char *s, char ch1)
{
    int cnt = 0;
    while (*s)			// while pointer not NULL
    {
	if ((char) *s == ch1)
	    cnt++;
	s++;
    }
    return cnt;
}

#ifdef dbg

#include <stdio.h>
#include <stdlib.h>

int main(int nargs, char *argv[])
{
    int i = 0;
    i = CntChr(argv[1], '.');
    printf("there are %d found chars in %s\n", i, argv[1]);
    return (0);
}
#endif
