#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ctype.h>

#define TRUE 1
#define MAXTIMES 256

int CntChr(char *s, char ch1);

int main(int argc, char *argv[])
{
    char *timeval[MAXTIMES], NegVal;
    char *line, *tmpstr, ch1, FileOut[64];
    char *token;
    FILE *fOut = NULL;


    int linlen, n1 = 0, i, hour, minute, second,
    totHrs = 0, totMins = 0, totSecs = 0;

    line = malloc(128);     /* Allocate space for input line buffer */
    tmpstr = malloc(128);

    printf("\n Prompt user for a list of time intervals of the");
    printf("\n form h+m+s where h is hours, m is minutes, s is");
    printf("\n seconds. Continue prompting until user ends input");
    printf("\n with a blank line. Sum the entered intervals and");
    printf("\n report the result. ");
    printf("Intervals may be negative.\n");
    printf("\n If the m or s is zero, the zero must be specified.");
    printf("\n Use /oFile.Ext to append to File.Ext");
    printf("\n NOTE: the + sign must be used as the delimiter\n\n");

/* Check for a switch. The is only one valid swithc: /ofile.out which
requests that output also be directed/appended to file.out */

    if (argc > 1) {
    ch1 = (char) argv[1][0];
    if (ch1 == '-' || ch1 == '/') { /* switch */
        i = 1;
        ch1 = (char) toupper(argv[i][1]);
        switch (ch1) {
        case 'O':
        strcpy(FileOut, argv[i] + 2);
        fOut = fopen(FileOut, "a");
        if (fOut == NULL) {
            fprintf(stderr, "\n?E- Could not open file %s",
                FileOut);
            return 1;
        }

        break;

        default:
        fprintf(stderr, "\n?W- UNKNOWN ARGUMENT >%s<", argv[i]);
        return 1;
        }
    }
    }

    while (TRUE) {
    printf(" > ");
    gets(tmpstr);
    if (CntChr(tmpstr, '+') == 1) {
        strcpy(line, "0+");
        strcat(line, tmpstr);
    } else {
        strcpy(line, tmpstr);
    }
    linlen = strlen(line);
    if (linlen < 3)
        break;

        timeval[n1] = malloc(strlen(line) + 1);
        strcpy(timeval[n1], line);
        ++n1;

/* There are MAXTIMES pointers reserved, ranging from 0 to MAXTIMES-1 */

        if (n1 == MAXTIMES) {
        printf("Exceeding MAXTIMES limit, aborting.\n");
        exit(1);
        }


    }

/* Adjust the counter n1 to the number of time values, and output the
values. */

    --n1;

#ifdef TEST
    printf("\nListing timeval:\n");
    for (i = 0; i <= n1; i++) {
    printf(" %s\n", timeval[i]);
    }
#endif              /* TEST */

/* Split the time value string into 3 interger values for hour,
minute and second. */

    printf(" Time\t\tCumulative\n");
    if (fOut != NULL)
    fprintf(fOut, " Time\t\tCumulative\n");

    for (i = 0; i <= n1; i++) {

/* Since strtok inserts NULL markers into it's input string, copy timeval
into the line buffer and use it to pass timevals to strtok. Add total
hours minutes seconds. */

    strcpy(line, timeval[i]);
    token = strtok(line, "+:");

/* Check the first char of token to see if it's a negative sign. If so,
make h m s negative. */

    if (*token == '-')
        NegVal = '1';
    else
        NegVal = '0';

    hour = atoi(token); /* will be negative if hour is non-zero */
    token = strtok(NULL, "+:");
    minute = atoi(token);
    token = strtok(NULL, "+:");
    second = atoi(token);
    if (NegVal == '1') {
        minute = -minute;
        second = -second;
    }

    totHrs = totHrs + hour;
    totMins = totMins + minute;
    totSecs = totSecs + second;

    if (totSecs > 59) {
        totMins = totMins + totSecs / 60;
        totSecs = totSecs % 60;
    }

    if (totMins > 59) {
        totHrs = totHrs + totMins / 60;
        totMins = totMins % 60;
    }

    printf("%2d:%02d:%02d\t%02d:%02d:%02d\n",
           hour, minute, second, totHrs, totMins, totSecs);
    if (fOut != NULL)
        fprintf(fOut, "%2d:%02d:%02d\t%02d:%02d:%02d\n",
            hour, minute, second, totHrs, totMins, totSecs);

    }

    if (fOut != NULL)
    fclose(fOut);

    return (0);         /* Return to satisfy main() */
}
